Gecode::Int::Arithmetic::RangesMapPow< Ops > Class Template Reference

Mapping ranges to powers. More...

`#include <nroot.hpp>`

## Public Member Functions

| RangesMapPow (const Ops &o)
| Initialize with operations o.
int | min (int x) const
| Perform mapping of minimum.
int | max (int x) const
| Perform mapping of maximum.

## Protected Attributes

Ops | ops
| Power operations.

## Detailed Description

template<class Ops>
class Gecode::Int::Arithmetic::RangesMapPow< Ops >

Mapping ranges to powers.

Definition at line 251 of file nroot.hpp.

## Constructor & Destructor Documentation

## RangesMapPow()

template<class Ops>

Gecode::Int::Arithmetic::RangesMapPow< Ops >::RangesMapPow | ( | const Ops & | o | ) |

inline

Initialize with operations o.

Definition at line 257 of file nroot.hpp.

## Member Function Documentation

## min()

template<class Ops>

int Gecode::Int::Arithmetic::RangesMapPow< Ops >::min | ( | int | x | ) | const

inline

Perform mapping of minimum.

Definition at line 259 of file nroot.hpp.

## max()

template<class Ops>

int Gecode::Int::Arithmetic::RangesMapPow< Ops >::max | ( | int | x | ) | const

inline

Perform mapping of maximum.

Definition at line 263 of file nroot.hpp.

## Member Data Documentation

## ops

template<class Ops>

Ops Gecode::Int::Arithmetic::RangesMapPow< Ops >::ops

protected

Power operations.

Definition at line 254 of file nroot.hpp.

The documentation for this class was generated from the following file:

- gecode/int/arithmetic/nroot.hpp